#/views - the views directory
This is where all platform **views** are placed in a **RESTup5** server.

Views are accessed as:
>*(http|https)://{tyour_RESTup5_server_url}/viewName* (without any file extension).

##View types
>Views may be:
+ **static html** - entirely self contained static html documents with file extensions of .html or .htm
+ **include files** - snippets of html code  with a file extension of .inc, which use the /templates/defaultPageHeader.html and /templates/defaultPageFooter.html to create quick static content.
+ **markdown files** - located in the /doc folder with a file of extension of .md, are displayed as the body of a page using the /templates/header.php and /templates/footer.php default templates.
+ **active content snippets** - have a .phtm file extension and require an execute() function, do not have matching templates in the templates directory and return either html or plain text without header or footers.
+ **templated active content** - have a .php file extension and may utilize a template file of the same name from the /templates/ directory eg:
>>
<dl>
<dt>/views/twigTest.php</dt>
<dd>uses a default template of:<br>
<em>/templates/twigTest.tpl</em><br>
And is accessed as <em><a href="/twigTest">/twigTest</a></em>
</dd>
</dl>

##Support
Should you require help with configuring your web-server, send an email detailing your web-server server to [customer.support@covirtual.net](mailto:customer.support@covirtual.net).

<dl>
<dt>Useful Links</dt>
<dd>
<a href="/README"><em>Documentation Home</em></a><br />
<a href="/"><em>RESTup5 Server</em></a><br />
<a href="http://www.covirtual.net"><em>CoVirtual.Net</em></a>
</dd>
</dl>
